<?php
// Get a link helper instance
$linkInstance = ObjectFactory::createObjectByConfiguredName('web_link_helper', array($this, 'list_companies'));

// Prefetch the user data
$linkInstance->prefetchValueInstance('user');

// Add link group for company founder
$linkInstance->addLinkGroup('company_founder', "Vielleicht willst du eine virtuelle Reederei gr&uuml;nden, um dich virtuell selbstst&auml;ndig zu machen?");

// Maximum of allowed companies reached?
if ($linkInstance->getValueInstance()->ifUserCreatedMaximumAllowedCompanies()) {
	// No more companies allowed to found
	$linkInstance->addLinkNote('company_maximum', "Du hast zu viele Firmen gegr&uuml;ndet. Bitte denke &uuml;ber eine Fusion (Zusammenlegung) nach.");
} elseif ($linkInstance->getValueInstance()->ifUserHasRequiredPoints('found_new_company')) {
	// Enough money to found company
	$linkInstance->addActionLinkById('company_found', 'found_company');
}

// Add link group for government
$linkInstance->addLinkGroup('government', "Bewerbe dich bei anderen Firmen und hole dir eine Starthilfe vom virtuellen Staat ab wenn du nicht fl&uuml;ssig bist!");

if ($linkInstance->getValueInstance()->ifUserHasRequiredPoints('write_applications')) {
	// Enough money to write applications to other companies
	$linkInstance->addActionLinkById('company_list', 'list_company');
} elseif ($linkInstance->getValueInstance()->ifGovernmentPaysTraining()) {
	// Government is able to pay a training in general
	$linkInstance->addActionLinkById('government_training', 'list_training_by_government');

	// Can the government pay startup help?
	if ($linkInstance->getValueInstance()->ifGovernmentPaysStartupHelp()) {
		// Add link note
		$linkInstance->addLinkNote('government_startup_help', "Virtuelle Starthilfe beantragen:");

		// Display link to government for startup help
		$linkInstance->addActionLinkById('government_startup_help', 'apply_startup_help_government');
	} // END - if
} elseif ($linkInstance->getValueInstance()->ifGovernmentPaysStartupHelp()) {
	// Display link to government for startup help
	$linkInstance->addActionLinkById('government_startup_help', 'apply_startup_help_government');
} else {
	// Even government cannot help the gamer here
	$linkInstance->addLinkNote('government_depleted', "Leider kann dir der Staat nicht mehr weiterhelfen, dich zu bewerben, da du zu oft Starthilfen erhalten hast oder ein Training absolviert hast. Hier muss aber noch weiter am Spiel gearbeitet werden. :-)");
}

// Checks wether the money bank has opened
if ($linkInstance->getValueInstance()->ifMoneyBankHasOpened()) {
	// Add link group for money bank
	$linkInstance->addLinkGroup('moneybank', "Leihe dir zu g&uuml;nstigen Zinsen virtuelles Geld aus, wenn du mehr brauchst!");

	// Add link to moneybank
	if ($linkInstance->getValueInstance()->ifUserAllowedTakeCreditsFromMoneyBank()) {
		// Display link to money bank page
		$linkInstance->addActionLinkById('moneybank', 'virtual_money_bank');
	} elseif ($linkInstance->getValueInstance()->ifUserHasMaximumCreditsWithMoneyBank()) {
		// Maximum credits reached which a money bank can lent
		$linkInstance->addLinkNote('moneybank_depleted', "Die Spielebank kann dir kein Geld mehr leihen, bitte zahle es auch wieder zur&uuml;ck.");
		$linkInstance->addActionLinkById('moneybank_payback_credits', 'payback_credits_to_money_bank');
	} else {
		// Unexpected state of the bank
		$linkInstance->addLinkNote('moneybank_error', "Es wurde ein Fehler in der Spielebank erkannt. Bitte melde dies dem Support.");
	}
} else {
	// Money bank is closed!
	$linkInstance->addLinkGroup('moneybank', "Die Spielebank hat geschlossen.");
	$linkInstance->addLinkNote('moneybank_closed', "Die Spielebank hat derzeit geschlossen. Bitte sp&auml;ter nochmal versuchen.");
}

// Add link group for refill page
$linkInstance->addLinkGroup('refill_page', "Hole dir virtuelles Geld von uns zu fairen Preisen!");

if ($linkInstance->ifRefillPageActive()) {
	// Display link to refill page
	$linkInstance->addActionLinkById('refill', 'refill_virtual_money');
} else {
	// Refill page not active
	$linkInstance->addLinkNote('refill_disabled', "Das Aufladen ist derzeit nicht m&ouml;glich oder gest&ouml;rt und wurde von uns deaktiviert.");
}

// Flush content to the template
$linkInstance->flushContent();

// [EOC]
?>
<div class="table_main" id="list_companies">
	<div class="table_header">
		Auflistung der Reedereien, an denenen du dich beteiligst:
	</div>

	<div class="table_list">
		{?company_list?}
	</div>

	<div class="table_footer">
		{?list_companies?}
	</div>
</div>
